/*
Test_digital_io_2.ino
 Il programma ha il compito di testare il funzionamento
 della DIGITAL I/O BOARD PARALLAX
 Test delle uscite - Collegamento seriale
   
 Ultima modifica il 31/12/2012
 da Adriano Gandolfo <http://www.adrirobot.it>
 This example code is in the public domain.
 */

//Definizione dello stato delle 8 uscite
byte values[]={
  B11111111,
  B00000000,
  B01010101,
  B10101010,
  B00000000,
  B10000000,
  B01000000,
  B00100000,
  B00010000,
  B00001000,
  B00000100,
  B00000010,
  B00000001,};

// Definizione dei pin Arduino connessi
// al connettore della scheda Digital i/o
// DATA_RLY connesso a DS del 74HC595
int DATA_RLY = 5;
// SCLK_RLY connesso al SH_CP del 74HC595
int SCLK_RLY = 6;
// LAT_RLY connesso al ST_CP del 74HC595
int LAT_RLY = 8;
// /OE_RLY connesso a OE del 74HC595
int OE_RLY = 10;
 
void setup(){
  pinMode(LAT_RLY, OUTPUT);
  pinMode(SCLK_RLY, OUTPUT);
  pinMode(DATA_RLY, OUTPUT);
  pinMode(OE_RLY, OUTPUT);
  //Attiviamo le uscite del 74HC595
  digitalWrite (OE_RLY, LOW);
}
// Il ciclo emette in uscita i dati
// presenti nell'array
void loop(){
    for(int i=0;i<13;i++){
    digitalWrite(LAT_RLY, LOW);
    shiftOut(DATA_RLY, SCLK_RLY, MSBFIRST, values[i]);
    digitalWrite(LAT_RLY, HIGH); 
    delay(500);}
  }

